com.impinj.octane

## Class LocationReport

- java.lang.Object
- - com.impinj.octane.LocationReport

-     public class LocationReport
      extends java.lang.Object

  xArray location report. This reports a single location event for a single Tga

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LocationConfidenceFactors` | `getConfidenceFactors()`
    `TagData` | `getEpc()`
    `int` | `getLocationXCm()`
    `int` | `getLocationYCm()`
    `LocationReportType` | `getReportType()`
    `ImpinjTimestamp` | `getTimestamp()`
    `protected void` | `setConfidenceFactors(LocationConfidenceFactors confidenceFactors)`
    `protected void` | `setEpc(TagData epc)`
    `protected void` | `setLocationXCm(int locationXCm)`
    `protected void` | `setLocationYCm(int locationYCm)`
    `protected void` | `setReportType(LocationReportType reportType)`
    `protected void` | `setTimestamp(ImpinjTimestamp timestamp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getEpc

          public TagData getEpc()

      Returns:
        the EPC of the tag that has been located

    - #### setEpc

          protected void setEpc(TagData epc)

    - #### getTimestamp

          public ImpinjTimestamp getTimestamp()

      Returns:
        The time the location report was generated

    - #### setTimestamp

          protected void setTimestamp(ImpinjTimestamp timestamp)

    - #### getLocationXCm

          public int getLocationXCm()

      Returns:
        the readers calculated X coordinate of the reader in an absoluted cooridnate system defined by the user
      See Also:
        `XArrayConfig.setLocation(LocationConfig)`

    - #### setLocationXCm

          protected void setLocationXCm(int locationXCm)

    - #### getLocationYCm

          public int getLocationYCm()

      Returns:
        the readers calculated Y coordinate of the reader in an absoluted cooridnate system defined by the user
      See Also:
        `XArrayConfig.setLocation(LocationConfig)`

    - #### setLocationYCm

          protected void setLocationYCm(int locationYCm)

    - #### getConfidenceFactors

          public LocationConfidenceFactors getConfidenceFactors()

      Returns:
        the reader confidence in the accuracy of the location report

    - #### setConfidenceFactors

          protected void setConfidenceFactors(LocationConfidenceFactors confidenceFactors)

    - #### getReportType

          public LocationReportType getReportType()

      Returns:
        the type of location report

    - #### setReportType

          protected void setReportType(LocationReportType reportType)